package uloha1;

import java.io.IOException;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.TransformerException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.xml.sax.SAXException;

public class BasicDemoDOM {

    public static void main(String[] args) throws IOException, SAXException, ParserConfigurationException, TransformerException {

        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        // Pomoci tovarni tridy ziskame instanci DocumentBuilderu
        DocumentBuilder builder = factory.newDocumentBuilder();
        // DocumentBuilder pouzijeme pro zpracovani XML dokumentu
        // a ziskame model dokumentu ve formatu W3C DOM
        Document doc = builder.parse("test/uloha1/people.xml");

        Element rootElement = doc.getDocumentElement();

        System.out.println("root element name=" + rootElement.getTagName());

        Element person = (Element)rootElement.getElementsByTagName("person").item(0);

        System.out.println("person id=" + person.getAttribute("id"));
        
    }
}
